<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="org.springblade.party.news.mapper.NewsMapper">

    <!-- 通用查询映射结果 -->
    <resultMap id="newsListResultMap" type="org.springblade.party.news.entity.News">
        <result column="id" property="id"/>
        <result column="create_user" property="createUser"/>
        <result column="create_dept" property="createDept"/>
        <result column="create_time" property="createTime"/>
        <result column="update_user" property="updateUser"/>
        <result column="update_time" property="updateTime"/>
        <result column="status" property="status"/>
        <result column="is_deleted" property="isDeleted"/>
        <result column="name" property="name"/>
        <result column="img" property="img"/>
        <result column="content" property="content"/>
        <result column="news_status" property="newsStatus"/>
        <result column="hit_status" property="hitStatus"/>
        <result column="sort" property="sort"/>
        <result column="class_id" property="classId"/>
        <result column="branch_id" property="branchId"/>
    </resultMap>


    <select id="selectNewsListPage" resultMap="newsListResultMap">
        select * from party_news_list where is_deleted = 0
    </select>

</mapper>
